KDE 4.2 PyKDE API Reference for Marble

- KDE's Python API

# Marble Namespace Reference

`from PyKDE4.marble.Marble import *`

## Detailed Description

## Class Index

A | GeoDataLineString (Marble) | MarbleAbstractFloatItem (Marble)
AbstractLayerInterface (Marble) | GeoDataLineStyle (Marble) | MarbleControlBox (Marble)
AbstractProjection (Marble) | GeoDataMultiGeometry (Marble) | MarbleDataFacade (Marble)
C | GeoDataObject (Marble) | MarbleDirs (Marble)
ClipPainter (Marble) | GeoDataOuterBoundary (Marble) | MarbleMap (Marble)
G | GeoDataPlacemark (Marble) | MarbleModel (Marble)
GeoDataColorStyle (Marble) | GeoDataPoint (Marble) | MarbleNavigator (Marble)
GeoDataContainer (Marble) | GeoDataPolygon (Marble) | MarbleRenderPlugin (Marble)
GeoDataCoordinates (Marble) | GeoDataPolyStyle (Marble) | MarbleRenderPluginInterface (Marble)
GeoDataDocument (Marble) | GeoDataStyle (Marble) | MarbleWidget (Marble)
GeoDataFeature (Marble) | GeoDataStyleMap (Marble) | Q
GeoDataFolder (Marble) | GeoDataStyleSelector (Marble) | Quaternion (Marble)
GeoDataGeometry (Marble) | GeoDocument (Marble) | S
GeoDataHotSpot (Marble) | GeoNode (Marble) | SunLocator (Marble)
GeoDataIconStyle (Marble) | GeoPainter (Marble) | T
GeoDataInnerBoundary (Marble) | L | TileCreator (Marble)
GeoDataLabelStyle (Marble) | LatLonEdit (Marble) | V
GeoDataLatLonAltBox (Marble) | M | ViewParams (Marble)
GeoDataLatLonBox (Marble) | MapThemeManager (Marble) | ViewportParams (Marble)
GeoDataLinearRing (Marble) | MarbleAboutDialog (Marble) |

## Enumerations
AltitudeMode | { ClampToGround, RelativeToGround, Absolute }
AngleUnit | { DMSDegree, DecimalDegree, UTM }
Dimension | { Latitude, Longitude }
DistanceUnit | { Metric, Imperial }
DragLocation | { KeepAxisVertically, FollowMousePointer }
LabelLocalization | { CustomAndNative, Custom, Native }
MapQuality | { Outline, Low, Normal, High, Print }
OnStartup | { ShowHomeLocation, LastLocationVisited }
Projection | { Spherical, Equirectangular, Mercator }
TessellationFlag | { NoTessellation, Tessellate, RespectLatitudeCircle, FollowGround, RotationIndicatesFill }
ViewContext | { Still, Animation }
anonymous | { Q_X, Q_Y, Q_Z, Q_W }

## Enumeration Documentation

AltitudeMode

Show last location visited on quit

Enumerator:

  ClampToGround |
  RelativeToGround |
  Absolute |

AngleUnit

This enum is used to choose the unit chosen to measure angles.

Enumerator:

  DMSDegree |
  DecimalDegree |
  UTM |

Dimension

This enum is used to choose the dimension.

Enumerator:

  Latitude |
  Longitude |

DistanceUnit

This enum is used to choose the unit chosen to measure distances.

Enumerator:

  Metric |
  Imperial |

DragLocation

This enum is used to choose how the globe behaves while dragging.

Enumerator:

  KeepAxisVertically |
  FollowMousePointer |

LabelLocalization

This enum is used to choose the localization of the labels.

Enumerator:

  CustomAndNative |
  Custom |
  Native |

MapQuality

This enum is used to choose the map quality shown in the view.

Enumerator:

  Outline |
  Low |
  Normal |
  High |
  Print |

OnStartup

This enum is used to choose how the globe behaves while dragging.

Enumerator:

  ShowHomeLocation |
  LastLocationVisited |

Projection

This enum is used to choose the projection shown in the view.

Enumerator:

  Spherical |
  Equirectangular |
  Mercator |

TessellationFlag

Enumerator:

  NoTessellation = 0x0 |
  Tessellate = 0x1 |
  RespectLatitudeCircle = 0x2 |
  FollowGround = 0x4 |
  RotationIndicatesFill = 0x8 |

ViewContext

This enum is used to choose context in which map quality gets used.

Enumerator:

  Still |
  Animation |

anonymous

Enumerator:

  Q_X = 0 |
  Q_Y = 1 |
  Q_Z = 2 |
  Q_W = 3 |